# JsDoc Reference - CeL.data.code.compatibility

Class Index | File Index

## Classes

- _global_
- CeL
- CeL.application.debug
- CeL.application.debug.log
- CeL.application.locale
- CeL.application.net
- CeL.application.net.Ajax
- CeL.application.OS.Windows
- CeL.application.OS.Windows.file
- CeL.application.OS.Windows.HTA
- CeL.application.OS.Windows.job
- CeL.application.OS.Windows.registry
- CeL.application.OS.Windows.WMI
- CeL.application.storage.file
- CeL.data
- CeL.data.check
- CeL.data.code.API
- CeL.data.code.compatibility
- CeL.data.code.reorganize
- CeL.data.CSV
- CeL.data.math
- CeL.data.math.Hamming
- CeL.data.math.polynomial
- CeL.data.math.quotient
- CeL.data.native
- CeL.data.XML
- CeL.env
- CeL.interact.DOM
- CeL.interact.form.address
- CeL.interact.form.select_input
- CeL.interact.integrate.map
- CeL.interact.integrate.SVG

# Class CeL.data.code.compatibility

相容性 test 專用的 functions
Defined in: compatibility.origin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CeL.data.code.compatibility() null module constructor

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CeL.data.code.compatibility.is_DOM(name) 判斷為 DOM。
<static> | CeL.data.code.compatibility.is_HTA(id) Are we run in HTA? ** HTA 中應該在 onload 中呼叫，否則 document.getElementsByTagName 不會有東西！
<static> | CeL.data.code.compatibility.is_web(W3CDOM) Are we in a web environment?

Class Detail
CeL.data.code.compatibility()
null module constructor
Method Detail
<static> {Boolean} CeL.data.code.compatibility.is_DOM(name)
判斷為 DOM。

Parameters:
name
  various name @ name-space window. e.g., document, location

Since:
  2010/1/14 22:04:37

Returns:
  {Boolean} various is object of window

<static> CeL.data.code.compatibility.is_HTA(id)
Are we run in HTA?
** HTA 中應該在 onload 中呼叫，否則 document.getElementsByTagName 不會有東西！

Parameters:
id Optional
  HTA tag id (only used in low version that we have no document.getElementsByTagName)

Since:
  2009/12/29 19:18:53

Returns:
  We're in HTA

See:
  http://msdn2.microsoft.com/en-us/library/ms536479.aspx http://www.microsoft.com/technet/scriptcenter/resources/qanda/apr05/hey0420.mspx http://www.msfn.org/board/lofiversion/index.php/t61847.html lazy evaluation http://peter.michaux.ca/articles/lazy-function-definition-pattern

<static> CeL.data.code.compatibility.is_web(W3CDOM)
Are we in a web environment?

Parameters:
W3CDOM
  Are we in a W3C DOM environment?

Since:
  2009/12/29 19:18:53

Returns:
  We're in a web environment.

See:
  use lazy evaluation

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Aug 20 2011 15:07:29 GMT+0800 (CST)